#ifndef CONFIX_H	/* file ignored if included more than once */
#define CONFIX_H 1

/**********************************************************************/
/******************************* confix *******************************/
/**********************************************************************/

/* $Id: confix.h,v 1.5 1996/02/18 14:01:38 beebe Exp $ */

#if defined(__cplusplus) || defined(c_plusplus)
/* autoconf version 2.12 gets the wrong answer in configure for C++
compilers, because generated test code calls exit() without a function
prototype in scope, instead of using return().  This has been reported
to the GNU autoconf developers, but in the meantime, we provide this
workaround by redefining it. */
#undef STDC_HEADERS
#define STDC_HEADERS 1
#undef HAVE_STDC_PROTOTYPES
#define HAVE_STDC_PROTOTYPES 1
#undef HAVE_VOIDP
#define HAVE_VOIDP 1
/* Autoconf version 2.12 gets the wrong answer in configure for C++
compilers for AC_C_CONST, so set it to the proper value. */
#undef const

/* autoconf also gets the wrong answer for AC_CHECK_FUNCS() because
   its test prototypes do not match the runtime library. */
#undef HAVE_ATOI
#define HAVE_ATOI 1
#undef HAVE_OPENDIR
#define HAVE_OPENDIR 1
#undef HAVE_REMOVE
#define HAVE_REMOVE 1

#if !defined(HAVE_UNLINK) && (defined(unix) || defined(_unix) || defined(__unix))
#define HAVE_UNLINK 1
#endif

#if defined(__GNUG__)
/***********************************************************************
On SGI IRIX systems, g++ 2.8.1 and earlier fails to define the
_LANGUAGE_C_PLUS_PLUS symbol when compiling .c files; it does so
correctly for .cc files.

Bug reported:
	To: bug-g++@prep.ai.mit.edu
	Date: Mon, 29 Jun 1998 17:48:43 -0600 (MDT)
	From: "Nelson H. F. Beebe" <beebe@math.utah.edu>
***********************************************************************/
#define _LANGUAGE_C_PLUS_PLUS	1
#endif

/* autoconf gets the wrong answer for AC_TYPE_SIGNAL with C++ */
#undef HAVE_VOID_HANDLER
#define HAVE_VOID_HANDLER 1
#undef RETSIGTYPE
#define RETSIGTYPE void

#endif /*  defined(__cplusplus) || defined(c_plusplus) */

/* Sanity check: at least one of these interfaces must be provided,
   and configure doesn't always get it right, sigh... */
#if !defined(HAVE_TERMIOS_H) && !defined(HAVE_TERMIO_H) && !defined(HAVE_SGTTY_H)
#define HAVE_TERMIOS_H	1
#endif

#endif /* CONFIX_H */
